com.informix.bson

## Class DBRefBase

- java.lang.Object
- - com.informix.bson.DBRefBase

Direct Known Subclasses:
  DBPointer, DBRef

    public class DBRefBase
    extends java.lang.Object

represents a database reference, which points to an object stored in the database

### Constructor Summary

Constructors
Constructor and Description
`DBRefBase(java.lang.String ns, java.lang.Object id)` Creates a DBRefBase

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`java.lang.Object` `getId()` Gets the object's id
`java.lang.String` `getRef()` Gets the object's namespace (collection name)
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DBRefBase

    public DBRefBase(java.lang.String ns,
             java.lang.Object id)

Creates a DBRefBase

Parameters:
  `ns` - the namespace where the object is stored
  `id` - the object id

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getId

    public java.lang.Object getId()

Gets the object's id

Returns:

#### getRef

    public java.lang.String getRef()

Gets the object's namespace (collection name)

Returns:

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`